Subject: Re: [PATCH v2 net-next] net/mlx5e: Report rx_discards_phy via rx_fifo_errors

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 Nov 2024 11:24:43 -0800

On Fri, 15 Nov 2024 00:01:50 -0800 Saeed Mahameed wrote:
> not rx_missed_errors please, it is exclusive for software lack of buffers.
> 
> Please have a look at thtool_eth_XXX_stats IEEE ethnl_stats, if you need to
> extend, this is the place. 
> 
> RFC2863[1] defines this type of discards as ifInDiscards. So let's add
> it to ehttool std stats. mlx5 reports most of them already to driver custom
> ethtool -S 

We can, but honestly I'd just make sure they are counted in rx_dropped
and leave the detailed breakdown in ethtool -S. The value of the common
stats kicks in when we have multiple NICs with reasonably similar
interpretations. Hopefully for missed we do have that interpretation.
Anything further down in the pipeline will be device specific.
Or at least I haven't figured out sufficient commonalities among 
the devices I deal with in production..